[
{
    blockid=option;
    help=logfiles_option_option;
    localvar={
	/* translate this block */
	.level.text="\u8a73\u7d30\u8cc7\u8a0a\u7b49\u7d1a\uff1a";
	.level.tip="\u5c07\u8a18\u9304\u6307\u5b9a\u7b49\u7d1a\u4ee5\u53ca\u9ad8\u65bc\u6b64\u7b49\u7d1a\u7684\u4e8b\u4ef6";
	.level.labels=["\u7dca\u6025","\u932f\u8aa4","\u8b66\u544a","\u6ce8\u610f","\u8cc7\u8a0a","\u9664\u932f"];
	.path.text="\u65e5\u8a8c\u6a94\u7684\u76ee\u9304\u8def\u5f91\uff1a";
	.num.text="\u6bcf\u500b\u76ee\u9304\u7684\u65e5\u8a8c\u6578\uff1a";
	.size.labels=["KB","MB"];
	.size.text="\u6bcf\u500b\u65e5\u8a8c\u7684\u6a94\u6848\u5927\u5c0f\uff1a";
	.size.tip="\u7576\u65e5\u8a8c\u6a94\u8d85\u904e\u6307\u5b9a\u5927\u5c0f\u6642\uff0c\u5c07\u5efa\u7acb\u65b0\u7684\u6a94\u6848\u3002";
	.roll.text="\u5efa\u7acb\u65b0\u65e5\u8a8c\u7684\u6642\u9593\u9593\u9694\uff1a";
	.roll.labels=["\u5c0f\u6642","\u5929"];
	.max.text="\u7e3d\u7684\u65e5\u8a8c\u5927\u5c0f\u8d85\u904e\uff1a";
	.min.text="\u53ef\u7528\u78c1\u789f\u7a7a\u9593\u5c0f\u65bc\uff1a";
	.age.text="\u65e5\u8a8c\u65e9\u65bc\uff1a";
	.age.labels=["\u5c0f\u6642","\u5929"];
	.rotate.border=[titled,"\u65e5\u8a8c\u6a94\u66f4\u65b0\u7b56\u7565"];
	.expire.border=[titled,"\u65e5\u8a8c\u6a94\u904e\u671f\u7b56\u7565"];
    };
    content=[
	{
	    ctrl=pane;
	    content=[
		{
		    ctrl=label;
		    id=levellabel;
		    text=$.level.text;
		    wrap=$g.label.size1;
		    aligny=0.5;
		    target=levelctrl;
		},
		{
		    ctrl=rigid;
		},
		{
		    ctrl=choice;
		    id=levelctrl;
		    label=levellabel;
		    labels=$.level.labels;
		    items=[Critical,Error,Warning,Notice,Information,Debug];
		    val=$loglevel.value;
		    aligny=0.5;
		    tip=$.level.tip;
		},
		{
		    ctrl=hglue;
		}
	    ]
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=pane;
	    content=[
		{
		    ctrl=label;
		    id=pathlabel;
		    text=$.path.text;
		    wrap=$g.label.size1;
		    target=pathctrl;
		    aligny=0.5;
		},
		{
		    ctrl=rigid;
		},
		{
		    ctrl=text;
		    id=pathctrl;
		    val=$logdir.value;
		    label=pathlabel;
		    aligny=0.5;
		}
	    ]
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=pane;
	    border=$.rotate.border;
	    layout=[ybox];
	    content=[
		{
		    ctrl=pane;
		    content=[
			{
			    ctrl=label;
			    id=sizelabel;
			    text=$.size.text;
			    wrap=$g.label.size2;
			    target=sizectrl;
			    aligny=0.5;
			},
			{
			    ctrl=rigid;
			},
			{
			    ctrl=number;
			    id=sizectrl;
			    val=$maxlogfilesize.value;
			    label=sizelabel;
			    items=[kb,mb];
			    labels=$.size.labels;
			    unit=byte;
			    aligny=0.5;
			    tip=$.size.tip;
			    allowempty=true;
			},
			{
			    ctrl=hglue;
			}
		    ]
		},
		{
		    ctrl=vstrut;
		},
		{
		    ctrl=pane;
		    content=[
			{
			    ctrl=label;
			    id=rolllabel;
			    text=$.roll.text;
			    wrap=$g.label.size2;
			    target=rollctrl;
			    aligny=0.5;
			},
			{
			    ctrl=rigid;
			},
			{
			    ctrl=number;
			    items=[hr,day];
			    labels=$.roll.labels;
			    unit=sec;
			    id=rollctrl;
			    val=$rollovertime.value;
			    label=rolllabel;
			    aligny=0.5;
			    allowempty=true;
			},
			{
			    ctrl=hglue;
			}
		    ]
		}
	    ]
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=pane;
	    border=$.expire.border;
	    layout=[ybox];
	    content=[
		{
		    ctrl=pane;
		    content=[
			{
			    ctrl=label;
			    id=numlabel;
			    text=$.num.text;
			    wrap=$g.label.size2;
			    target=numctrl;
			    aligny=0.5;
			},
			{
			    ctrl=rigid;
			},
			{
			    ctrl=number;
			    id=numctrl;
			    val=$maxlogfiles.value;
			    label=numlabel;
			    max=100;
			    min=1;
			    aligny=0.5;
			    allowempty=true;
			},
			{
			    ctrl=hglue;
			}
		    ]
		},
		{
		    ctrl=vstrut;
		},
		{
		    ctrl=pane;
		    content=[
			{
			    ctrl=label;
			    id=maxlabel;
			    text=$.max.text;
			    wrap=$g.label.size2;
			    target=maxctrl;
			    aligny=0.5;
			},
			{
			    ctrl=rigid;
			},
			{
			    ctrl=number;
			    id=maxctrl;
			    val=$maxlogsize.value;
			    label=maxlabel;
			    items=[kb,mb];
			    labels=$.size.labels;
			    unit=byte;
			    aligny=0.5;
			    allowempty=true;
			},
			{
			    ctrl=hglue;
			}
		    ]
		},
		{
		    ctrl=vstrut;
		},
		{
		    ctrl=pane;
		    content=[
			{
			    ctrl=label;
			    id=minlabel;
			    text=$.min.text;
			    wrap=$g.label.size2;
			    target=minctrl;
			    aligny=0.5;
			},
			{
			    ctrl=rigid;
			},
			{
			    ctrl=number;
			    id=minctrl;
			    val=$minfreediskspace.value;
			    label=minlabel;
			    items=[kb,mb];
			    labels=$.size.labels;
			    unit=byte;
			    aligny=0.5;
			    allowempty=true;
			},
			{
			    ctrl=hglue;
			}
		    ]
		},
		{
		    ctrl=vstrut;
		},
		{
		    ctrl=pane;
		    content=[
			{
			    ctrl=label;
			    id=agelabel;
			    text=$.age.text;
			    wrap=$g.label.size2;
			    target=agectrl;
			    aligny=0.5;
			},
			{
			    ctrl=rigid;
			},
			{
			    ctrl=number;
			    items=[hr,day];
			    labels=$.age.labels;
			    unit=sec;
			    id=agectrl;
			    val=$expirytime.value;
			    label=agelabel;
			    aligny=0.5;
			    allowempty=true;
			},
			{
			    ctrl=hglue;
			}
		    ]
		}
	    ]
	}
    ]
}
]

